Story # 11044 (Resolved): As  Magarethe I want to add  pages

Status: Resolved Priority: Should have
Author: Sebastian Kurfuerst Category:
Created: 2010-07-06 Assigned To: Aske Ertmann
Updated: 2012-08-31 Due date:
Subject: create a widget for selecting the position of elements (like pages)
Description

When adding pages, the position of the added page should be changeable via Drag and Drop. The current page should be always
selected, and it should be only possible to move that page around.
See the attached screenshot for the mockup.

The widget should be created to be used for a general drag-drop reordering of a single element, and not tied to pages.

History
#1 - 2010-07-06 14:12 - Sebastian Kurfuerst
- Category set to JavaScript

#2 - 2010-07-06 18:35 - Sebastian Kurfuerst
- Tags set to #easy

#3 - 2010-07-09 10:50 - Nils Dehl
- Status changed from New to Accepted
- Assigned To set to Nils Dehl

#4 - 2010-07-09 11:21 - Irene Höppner

I'll have a look at that at the weekend...

#5 - 2010-07-09 11:22 - Nils Dehl
- Assigned To deleted (Nils Dehl)

Reordering in a grid plugin:
http://www.sencha.com/forum/showthread.php?21913-SOLVED-Grid-Drag-and-Drop-reorder-rows

#6 - 2010-07-14 09:58 - Sebastian Kurfuerst

Hey Irene,

I just wanted to ask what the current status on this issue is. Do you have any open questions, or is there anything we can do to support you solving this
issue? You'll find us in the usual Jabber chatroom.

Thanks in advance for a short status!

Greets,
Sebastian
#7 - 2010-08-16 11:19 - Robert Lemke
- Status changed from Accepted to New
- Target version changed from 593 to 628

#8 - 2010-10-21 10:58 - Sebastian Kurfuerst
- Target version changed from 628 to 711
- Parent task set to #7921

#9 - 2010-11-08 14:34 - Sebastian Kurfuerst
- Assigned To set to Christian Winther

#10 - 2010-11-08 14:34 - Sebastian Kurfuerst

Assigning this issue to Christian Winther now, as that's a good starting task.

He will start working on that at the beginning of december.

Greets,
Sebastian

#11 - 2010-11-10 11:38 - Christopher Hlubek

I would propose to use the jQuery UI Sortable Widget: http://jqueryui.com/demos/sortable/#items. The plugin is flexible and can be used to sort just one
item (the page to be created) into a list of existing items. I think it shouldn't be a problem to write an Ext JS Component as a wrapper that uses this
plugin and can be used inside a form.

We are already using jQuery for Aloha by the way.

#12 - 2010-11-10 11:45 - Christian Müller

Why just have one level? If I want to position a new page, maybe I want to create it in a totally different sub tree part. I would imagine something like: [[
http://dev.sencha.com/deploy/ext/examples/tree/two-trees.html]] with some modifications of course.

#13 - 2010-11-24 12:44 - Robert Lemke
- Parent task changed from #7921 to #11044

#14 - 2011-01-06 19:46 - Sebastian Kurfuerst
- Assigned To deleted (Christian Winther)

#15 - 2011-01-20 09:20 - Sebastian Kurfuerst
- Status changed from New to Accepted
- Assigned To set to Aske Ertmann
- Tags deleted (#easy)

#16 - 2011-03-21 11:13 - Sebastian Kurfuerst
- Status changed from Accepted to Resolved
- Estimated time set to 0.00
- Remaining (hours) set to 0.0
#17 - 2012-08-31 10:38 - Robert Lemke
- Project changed from Base Distribution to TYPO3.Neos
